<!DOCTYPE html>
<html lang="en">

<head>
    <% include _head %>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/tableScroll.css">
</head>

<body>
<% include _loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
          <% include _lang %>
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#" onclick="window.location.href='/classes'"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <section class="jumbotron text-center small-margin">
            <div class="container">
                <h1><%= __('admin_signalement_title') %></h1>
            </div>
        </section>
        <div class="container">
            <div class="row">
                <table class="table nomargin-bottom">
                    <thead class="thead-light">
                    <tr>
                        <th scope="col"
                            style="width: 20%;"><%= __('admin_signalement_table_professeur') %></th>
                        <th scope="col"
                            style="width: 20%;"><%= __('admin_signalement_table_message') %></th>
                        <th scope="col"
                            style="width: 50%;"><%= __('admin_signalement_table_exercice') %></th>
                        <th scope="col"
                            style="width: 10%;"><%= __('admin_signalement_table_action') %></th>
                    </tr>
                    </thead>
                </table>
                <div id="table-wrapper">
                    <div id="table-scroll">
                        <table class="table">
                            <tbody style="overflow:auto;">
                            <%
                            exercices = JSON.parse(exercices);
                                    for(let exId of Object.keys(exercices)){
                                let ex = exercices[exId];
                            %>
                            <tr>
                                <td style="width: 20%;"><%= ex.professeur %></td>
                                <td style="width: 20%;"><%= ex.message %></td>
                                <td style="width: 50%;"><%= (ex.exercice.name ? ex.exercice.name[lang] : '') + (ex.exercice.name ? ex.name : ex.name.substring(2)) %></td>
                                <td style="width: 10%;">
                                    <a href="/admin/valider/<%= ex.gamesId %>/exercice/<%= exId %>/signalement" class="btn btn-success"
                                       id="validerExercice"><%= __('admin_signalement_table_corriger') %></a>
                                </td>
                            </tr>
                            <%
                            }
                            %>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_valider.js"></script>
</body>
</html>